# ToggleParameter (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.data
Class ToggleParameter

    java.lang.Object
      com.threerings.parlor.data.Parameter
          com.threerings.parlor.data.ToggleParameter

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class ToggleParameter

extends Parameter

Models a parameter that allows the toggling of a single value.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary
`boolean` `start` The starting state for this parameter.

Fields inherited from class com.threerings.parlor.data.Parameter
`ident, name, tip`

Constructor Summary
`ToggleParameter()`

Method Summary
`Object` `getDefaultValue()` Returns the default value of this parameter.
`String` `getLabel()` Returns the translation key for this parameter's label.

Methods inherited from class com.threerings.parlor.data.Parameter
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### start

    public boolean start

  The starting state for this parameter.

Constructor Detail

### ToggleParameter

    public ToggleParameter()

Method Detail

### getLabel

    public String getLabel()

  Description copied from class: `Parameter`
  Returns the translation key for this parameter's label.

  Specified by:
    `getLabel` in class `Parameter`

### getDefaultValue

    public Object getDefaultValue()

  Description copied from class: `Parameter`
  Returns the default value of this parameter.

  Specified by:
    `getDefaultValue` in class `Parameter`

Copyright © 2011. All Rights Reserved.